import os
from setuptools import find_packages, setup

with open(os.path.join(os.path.dirname(__file__), 'README.rst')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='A_library',
    version='1.1',
    packages=find_packages(),
    include_package_data=True,
    description='Automated Library is a software to ease the entire library-book issuing process contributing to overall standards of the library and ensuring transparent and smooth conduction of the library processes',
    long_description= README,
    url = "https://github.com/R-Wolf/CFD_A_library",
    author='Aurors',
    license='MIT',
    author_email='sshanukr@gmail.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        # Replace these appropriately if you are stuck on Python 2.
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],

    install_requires=['pytz','requests','regex','django'],

)